﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define t = Character('Toni', color="#EE3311")
define m = Character('Mymaridae', color="#cccc11")
define a = Character('Antoni', color="#FF3366")
define e = Character('Eulophidae', color="EEEE22")
define c = Character('Credits', color="#FFFFFF")
define p = Character('Pompilidae', color="#FF8844")

#bg
image bg girl = "byAnkoKinako1.jpg"
image bg wasp = "wasp1.jpg"
image bg wasp2 = "wasp2.jpg"
image bg black = "b.jpg"

init python:
    import random
    
    rand = random.randint(2, 12);
    
    playerHP = 20
    
    b1turns = 0
    b2turns = 0
    isdefending = "false"
    
    target = "none"
    
        

init:
    $ config.rollback_enabled = False

# The game starts here.
label start:
    play music "theme.mp3"
    scene bg girl
    t "...At last, my love. We are alone. Maiden of my highest esteem, please enter my hearth on this lonely night. "
    m "Please, follower and followed. Absolve yourself of your affection. You and I both know that our love can never bee."
    t "What are these words you speak? Has your heart changed its way?"
    m "...Your admiration is not unreciprocated. You know this. You also know that my family, the House Hymenoptera, 
    would crumble upon learning its only princess wishes to betroth a son of the House Oni."
    t "How can familiar legacy undo the love of a new moon? I will speak to your family."
    m "They would kill you."
    t "For you, I would let them. Your fealty to your clan is unconvincing, compared to the symphonies you sing under 
    my bedsheets."
    m "Do not taunt me so! You know that my hand as been forced just as soon as my heart has been shattered. What
    little magic we had must remain a hex, cast into the night as when we first met."
    t "I will not allow it. There is work that may be done. "
    m "There is not. Please, my love, I will sleep more soundly and loudly knowing that you breathe still. Do not
    break my heart again by lending your life for the smallest of chances."
    t "All your blood and tears and perfumed letters will not stay my hand. I will confront your father and convince him 
    of our love."
    m "Madness!"
    t "Mymaridae, we are meant to be as one. Do you not want this?"
    m "..."
    t "...Do you?"
    m "... ... ...More than all the stars in heaven and all the souls in hell. I love you, Toni. Nothing would make me whole
    more than you. But I cannot see the path from here."
    t "Then I shall be your eyes. I depart now to see your father. Stay silent and stay safe."
    m "Take greater cares, my love."
    
    scene bg black
    with fade
    stop music
    "~One hour later~"
    play sound "cicada.wav"
    t "...Hmm? The stacatto of legion limbs betrays you, fiend. Show yourself!"
    scene bg wasp2
    with fade

    play music "satz.mp3"
    e "You belong elsewhere, demon welp. You are not welcome among our kin, nor beside them."
    t "I have no business with you. I wish only to see your father."
    stop sound
    e "On the subject of my sister. I will not allow it. A demon and a wasp in tandem is unforgivable. I would sooner
    end my life than allow you any piece of Mymaridae's."
    t "Allow me passage, worm, or I shall end you."
    e "Then may my steel burn shadows into your soul. En garde!"
    play music "illusions.mp3"
    "Hark, an encounter!" 
    "Cannot escape this battle!"
    
    label battle1:
    
        "How shall you attack?"
        
        menu:
            "Strike the antennae":
                    python: 
                        target = "antennae"
                        b1turns += 1
                    jump a1
            "Attack the thorax":
                    python:
                        target = "thorax"
                        b1turns += 1
                    jump a1
            "Defend":
                    python:
                        b1turns += 1
                    jump d    
        
        label a1:
            "You swing your claws at the [target]..."
            play sound "hit.wav"
            "It hit! Did ([rand]) damage!"
            if b1turns > 3:
                jump b1Over
            
            "The Eulophidae gets a counter-attack..."
            python:
                    rand = random.randint(2, 12);
            play sound "hit.wav"        
            "It hit! Did ([rand]) damage!"
            
            jump battle1
    
        label d:
            "You are defending!"
            "The Eulophidae attacks..."
            play sound "miss.wav"     
            "But did (0) damage due to defend!"
            jump battle1
    
    label b1Over:
        "Defeated The Eulophidae!"
        "Got (5000) EXP!"
        stop music
        t "My path is clear. Pace in requiescat, foul beast. The love that strings together Mymaridae and me is incomprehensible to 
        the shallow ponds of your mind. " 
        t "May your fortunes hold firmer in heaven."
        jump part2
        
    label part2:
        play music "satz.mp3"
        t "Pompilidae! Father of Mymaridae, patriarch of the House Hymenoptera! I demand an audience!"
        scene bg wasp
        p "I am here, Toni. If you consider the death of my son an appeal for an audience, you are correct."
        t "Your son forced my hand as much as all your family has in preventing-"
        p "I know why you have come before me. The affectations you use to entrance my daughter have blown back
        unto you, and you have become convinced of your 'love' for her."
        t "Affectation? This is no mere affectation. "
        p "Demon. You know not your place. Our families have fought for centuries and you expect me to undo this 
        so you can have your undeserved trifle?"
        t "You are obstinate in your old age."
        p "As are you in your insolence. My daughter has earned more than you solely through accident of birth. Who
        are you to claim here as your own?"
        t "I am a demon. I have powers that extend beyond what we see in this world, powers that I would yield to 
        defend her until the end of time."
        p "The same powers you used to vex and trick her into infatuation."
        t "You misrepresent me. I would die for her. "
        p "Then show me! En garde!"
        play music "illusions.mp3"
        "Hark, an encounter!" 
        "Cannot escape this battle!"
        
       
            
    #t "berefit of conciounse."
    
    label battle2:
        "How shall you attack?"
        menu:
            "Attack the Antennae":
                python:
                    target = "antennae"
                jump b2attack
            "Attack the Thorax":
                python:
                    target = "thorax"
                jump b2attack
            "Attack the Legs":
                python:
                    target = "legs"
                jump b2attack
            "Defend":
                jump b2defend
    
    label b2attack:
        python:
            isdefending = "false"
            b2turns += 1
            rand = random.randint(2, 12);
        "You swing your claws at the [target]..."
        play sound "hit.wav"
        "It hit! Did ([rand]) damage!"
        if b2turns == 8:
            jump coda
        
        "The Pompilidae gets a counter-attack..."
        python:
                rand = random.randint(2, 12);

        if b2turns == 6:
            "The Pompilidae is charging up..."
        elif isdefending == "false" and b2turns == 7:
            "The Pompilidae charged into you!"
            play sound "hit.wav"  
            $ rand = rand * 12
            "CRITICAL HIT! The Pompilidae did ([rand]) damage!"
            "Warning! Low HP!"
        elif isdefending == "true" and b2turns == 7:
            "The Pompilidae charged into you!"
            play sound "miss.wav"   
            "...But it only did ([1]) damage because you were defending!"
        else:
            play sound "hit.wav"   
            $ rand = rand * 3
            "It hit! Did ([rand]) damage!"    
        jump battle2    
                
    label b2defend:
        python:
            isdefending = "true"
        "You are defending!"
        "The Pompilidae attacks..."
        play sound "miss.wav"     
        "But did (0) damage due to defend!"
        jump battle2
        
    label coda:
        "Defeated The Pompilidae!"
        "Got (20000) EXP!"
        "Level Up! Toni is now level 21!"
        "HP + 8, AGL + 5, STA + 6, END + 7"
        stop music
        t "You are defeated."
        p "No... my house, my kingdom... all will leave my family's hands... why would you do this?"
        t "My only fealty is to love. And to your daughter."
        p "..."
        p "Listen, demon."
        p "You are making a mistake. Our kind's rivers were never meant to intersect. The madness that strikes the 
        drums within your heart has waylaid you."
        p "You are but a scoundel, and yet call yourself the lover of my daughter?"
        t "Yes."
        p "So be it."
        p "I have not enough life in me to bicker whilst I squirm between the dying embers of the day."
        p "Consider the feud between House Oni and House Hymenoptera annulled. We have not the numbers to fight you
        now."
        p "Take my daughter as your trophy, demon, as well as this curse as my final judgement:"
        p "From this day forth, whenever you look into my daughter's eyes, you will only see mine, in my dying moments:
        cold, empty, and bereft of life. "
        p "You will remember staying me in bitterest blood only to gain the hand of another."
        p "This is your curse."
        p "I wish you and Mymaridae whatever happiness you can find. It is beyond me now...Ugh..."
        "Pompilidae collapses, life abandoning the temple of his body."
        scene bg girl 
        with fade
        play music "theme.mp3"
        m "...Toni! You live!"
        t "I do, my love. There is nothing in this world that can remove us any more."
        m "So you..."
        m "..."
        m "My love only rests with you, Toni. Whatever happened between you and my family had no happier outcome.
        We shall be together until the sun has slept its last."
        t "..."
        m "Do you not agree?"
        t "Your eyes..."
        m "...What of them?"
        t "...Nothing."
        scene black
        with fade
        t "It is nothing."
        
        
    c "Wasps vs. Demons: A Love Story"
    c "Game and scenario by atuun, for the GDC Pirate Kart"
    c "Images courtesy of Anko Kinako, the Courier Mail" 
    c "Music has been:\n Theme from Romeo and Juliet by Nino Rota, Quartetsatz by Franz Schubert, and Dance of Illusions by Michiru Yamane"
    c "Thank you for playing!"
    
    $ renpy.quit()

   #return
